"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typeorm_1 = require("@nestjs/typeorm");
const decorators_1 = require("./decorators");
const services_1 = require("./services");
function createTypeOrmQueryServiceProvider(EntityClass, connection) {
    return {
        provide: decorators_1.getTypeOrmQueryServiceKey(EntityClass),
        useFactory(repo) {
            return new services_1.TypeOrmQueryService(repo);
        },
        inject: [typeorm_1.getRepositoryToken(EntityClass, connection)],
    };
}
exports.createTypeOrmQueryServiceProviders = (entities, connection) => entities.map(entity => createTypeOrmQueryServiceProvider(entity, connection));
//# sourceMappingURL=providers.js.map