import { EntityMetadata, Repository } from 'typeorm';
/**
 * @internal
 *
 * Base class for all QueryBuilders.
 */
export declare abstract class AbstractQueryBuilder<Entity> {
    readonly repository: Repository<Entity>;
    readonly entityMetadata: EntityMetadata;
    protected constructor(repository: Repository<Entity>);
    /**
     * Escapes a string to be safe to in a query.
     * @param str - the string to escape.
     */
    protected escape(str: string): string;
}
