"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @internal
 *
 * Base class for all QueryBuilders.
 */
class AbstractQueryBuilder {
    constructor(repository) {
        this.repository = repository;
        this.entityMetadata = this.repository.metadata;
    }
    /**
     * Escapes a string to be safe to in a query.
     * @param str - the string to escape.
     */
    escape(str) {
        return this.repository.manager.connection.driver.escape(str);
    }
}
exports.AbstractQueryBuilder = AbstractQueryBuilder;
//# sourceMappingURL=query-builder.abstract.js.map